<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelInfoPortfolio StructType
 * @subpackage Structs
 */
class JP_HotelInfoPortfolio extends JP_ExtendedHotelInfo
{
    /**
     * The City
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_City
     */
    public $City;
    /**
     * Constructor method for JP_HotelInfoPortfolio
     * @uses JP_HotelInfoPortfolio::setCity()
     * @param \StructType\JP_City $city
     */
    public function __construct(\StructType\JP_City $city = null)
    {
        $this
            ->setCity($city);
    }
    /**
     * Get City value
     * @return \StructType\JP_City|null
     */
    public function getCity()
    {
        return $this->City;
    }
    /**
     * Set City value
     * @param \StructType\JP_City $city
     * @return \StructType\JP_HotelInfoPortfolio
     */
    public function setCity(\StructType\JP_City $city = null)
    {
        $this->City = $city;
        return $this;
    }
}
